curl https://flameproxies.com/api/customer/my-packages \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/my-packages",
headers={"Authorization": "Bearer fp_live_xxx"},
)
for pkg in resp.json()["packages"]:
print(pkg["package_id"], pkg["plan"], pkg["is_primary"])
const resp = await fetch("https://flameproxies.com/api/customer/my-packages", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
const { packages } = await resp.json();
console.log(packages);
{
"packages": [
{
"id": 123,
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "premium_residential",
"username": "fp-user",
"created_at": "2026-05-13T12:00:00.000Z",
"end_date": null,
"is_primary": true,
"api_created": true
}
]
}
Packages
List packages
Returns the residential and premium residential packages you own that can be used with add data and proxy generation.
GET
/
api
/
customer
/
my-packages
curl https://flameproxies.com/api/customer/my-packages \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/my-packages",
headers={"Authorization": "Bearer fp_live_xxx"},
)
for pkg in resp.json()["packages"]:
print(pkg["package_id"], pkg["plan"], pkg["is_primary"])
const resp = await fetch("https://flameproxies.com/api/customer/my-packages", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
const { packages } = await resp.json();
console.log(packages);
{
"packages": [
{
"id": 123,
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "premium_residential",
"username": "fp-user",
"created_at": "2026-05-13T12:00:00.000Z",
"end_date": null,
"is_primary": true,
"api_created": true
}
]
}
Returns the residential and premium residential packages you own. Use the
package_id from this list with get a package, add data, remove data, and generate proxies.
This endpoint takes no request body.
curl https://flameproxies.com/api/customer/my-packages \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/my-packages",
headers={"Authorization": "Bearer fp_live_xxx"},
)
for pkg in resp.json()["packages"]:
print(pkg["package_id"], pkg["plan"], pkg["is_primary"])
const resp = await fetch("https://flameproxies.com/api/customer/my-packages", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
const { packages } = await resp.json();
console.log(packages);
{
"packages": [
{
"id": 123,
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "premium_residential",
"username": "fp-user",
"created_at": "2026-05-13T12:00:00.000Z",
"end_date": null,
"is_primary": true,
"api_created": true
}
]
}
Response
object[]
The packages you own.
Show package
Show package
number
Package ID.
number
Numeric package ID. Use it in the path of package endpoints and as
package_id when generating proxies.string
The package’s UUID. Get a package accepts this in place of
package_id.string
Product:
residential or premium_residential.string
Proxy username for this package.
string
When the package was created, as an ISO 8601 timestamp.
string | null
End date of the package, or
null if it has none.boolean
true for your main package.boolean
true if the package was created through the Customer API.